# ---------------------------------------------------------------------
#  LAST EDIT: Tue Dec 10 19:05:35 1996 by Adabas D Database (gutamil.v12-berlin.de!adabas) 
#  $Id: README.tcl,v 1.4 1997/01/12 13:02:30 adabas Exp $
# ---------------------------------------------------------------------
# Copyright (c) 1996 Christian Krone. All rights reserved.
# This program is free software; you can redistribute it and/or
# modify it under the same terms as Tcl itself.
# See also licence.terms
# ---------------------------------------------------------------------

html_start
title "AdabasTcl 0.6 - TCL interface to the ADABAS D database server"

#    ====================
ssec "What is AdabasTcl?"
#    ====================

p "AdabasTcl is an extension to TCL (Tool Command Language), that provides
   access to an ADABAS D database server of Software AG.
   AdabasTcl adds additional Tcl commands that connect to a database,
   pass SQL code, read results, etc.
   AdabasTcl was inspired by similar extensions for other database servers,
   notably oratcl by Tom Poindexter."

p "There are also four TK (ToolKit) applications, that provide the access
   to the database in the X11 environment with the motif look and feel."
definition_list {
  term [bold panel]
  term_definition "A tool for driving the database server (the traffic light)."
  term [bold tkquery]
  term_definition "A tool for interactive SQL queries."
  term [bold tkuser]
  term_definition "A tool for setting default attributes for user keys."
  term [bold fotos]
  term_definition "A application to demonstrate the capability to display
                   pictures out of LONG columns."
}

p "Copyright (c) 1996 Christian Krone. All rights reserved.[br]
   This program is free software; you can redistribute it and/or
   modify it under the same terms as Tcl itself.[br]
   See also licence.terms"

#    ==============
ssec "Requirements"
#    ==============

p "Since AdabasTcl is an extension to TCL, you should already have TCL, or be
   prepared to get it via ftp.
   To use the feature of dynamically loading the AdabasTcl extension into the
   TCL interpreter (tclsh), you must have TCL version 7.5.
   The tk applications need the installed TK widget set version 4.1."
definition_list {
  term Tcl7.6; term_definition "ftp://ftp.smli.com/pub/tcl/tcl7.6.tar.gz"
  term Tk4.2;  term_definition "ftp://ftp.smli.com/pub/tcl/tk4.2.tar.gz"
}
p "It will work also with tcl7.5 and tk4.5."

p "Of course, you must also have access to an ADABAS D databaser server.  
   AdabasTcl must be linked with the Adabas D precompiler libraries.
   I've linked and tested it with a server version 6.1 and version 6.2."

#    ==============
ssec "Installation"
#    ==============

p "To configure, compile and install AdabasTcl, you have to go through the
   following 3 steps."
number_list {
  li "First start [keyboard ./configure] in this directory.
      You have a good chance, that this will work out all the options
      for your machine correctly.
      If it stops or determines invalid values for some of its variables,
      you can tune it with options on its command line;
      here are some examples:[br]
      [keyboard "./configure --with-tclinclude=/usr/local/include"][br]
      [keyboard "./configure --with-adabas=6.1 --without-x"][br]
      An extensive list of all options is available by
      [keyboard "./configure --help"].
      After this you could (but don't have to) inspect the Makefiles; the most
      important one is located in the extension subdirectory.
      See also Porting Notes below."

  li "Then a call of [keyboard make] should build all targets in the
      subdirectories. If something went wrong, most likely some variables
      in the Makefile needs more attention. Again, see Porting notes below."

  li "If all went well, a call of [keyboard "make install"] installs
      the extension plus the applications and their help pages."
}

#    ===============
ssec "Porting Notes"
#    ===============

p "This package has been compiled and tested on the following platforms:"
definition_list {
  term Linux
  term_definition "With ELF Kernel it should compile out of the box
                   (one of the development platforms)."
  term "Unixware 2.1"
  term_definition "Without any problem (the other development platform)."
  term "SCO V4.2"
  term_definition "No dynamic loading and no X, but adabastclsh runs okay
                   (former development platform)."
  term "DEC Unix 3.2"
  term_definition "(Actually I compiled the release 0.4 on this one; I am
                   remembering no big problems)."
  term HP-UX
  term_definition "I had to use the following call of make to get it compiled.[br]
                   [keyboard "make CC=\"c89 -D_INCLUDE_POSIX_SOURCE\""][br]
		   A loading of Adabastcl.sl isn't possible, because there is
		   not enough memory (that's, what the loader said!). So there
                   should be the --disable-load option present in the call
                   of configure."
  term "SUN_OS 5.5.1"
  term_definition "I had to set the LIBS variable to [keyboard -lcurses] to get
		   configure running; also LD_LIBRARY_PATH should point
                   to \$DBROOT/lib when executing any program."
  term Windows95/NT
  term_definition "For configuration you have to call the Tk program
		   [path mkMakfileVC.tcl]. There you should customize
                   the mentioned configuration variables.
		   After this a call of [keyboard "nmake install"] should build
                   and install everything. You have to create icons for
                   the tk appls manually. Currently there is a bug, that every
                   application reports an invalid instruction on exiting;
                   everything else should work okay."
}

#    =============
ssec "Bug reports"
#    =============

p "Comments, suggestions, bugs reports, et.al., should be mailed to me[br]
   [keyboard krischan@cs.tu-berlin.de][br]
   or posted to [keyboard comp.lang.tcl] if general enough nature."

p "Please always include:"
bullet_list {
  li "version of AdabasTcl"
  li "version of Tcl and Tk"
  li "version of Adabas D server"
  li "version of your operating system"
  li "samples of SQL or AdabasTcl code causing problems"
  li "relevant database table definitions, views, procedures"
}

p "Have fun, Krischan"

p "Christian Krone[br]
   Varziner Str. 12[br]
   D-12161 Berlin[br]
   [keyboard krischan@cs.tu-berlin.de]"

html_end
